<?php
/* wie viele zeilen pro seite */
$pro_seite = 20;

/* abfragen, wie viele zeilen es insgesamt gibt */
$user = mysql_fetch_row(db_query("SELECT COUNT(uid) FROM ".$db_prefix."_kontodaten"));

/* wie viele seiten ergeben sich daraus? aufrunden */
$seiten = ceil($user[0]/$pro_seite);

/* GET parameter pruefen, ob innerhalb der schranke (seite 1 bis seite MAX), ansonsten immer seite 1 */
$seite = 1;
if(isset($_GET['seite']) && $_GET['seite'] > 0 && $_GET['seite']<= $seiten){
	$seite = (int)$_GET['seite'];
}

/* berechnen des startwertes fuer die datenbankanfrage, bei seite 1: 0, bei seite 2: $pro_seite, usw. */
$start = ($seite-1)*$pro_seite;

/*
Gibt einen Absatz mit Seiten-Navigationslinks aus,
die aktuelle Seite ist hervorgehoben.
*/
function userlist_show_navi(){
	global $seite, $seiten;
	echo '<p>';
	for($i=1; $i <= $seiten; $i++){
		if($i!=$seite)
			echo '<a href="?content=/intern/userliste_mehrseitig&seite='.$i.'">'.$i.'</a>';
		else
			echo '<a href="?content=/intern/userliste_mehrseitig&seite='.$i.'"><b>'.$i.'</b></a>';
			
		if($i<$seiten)
			echo ', ';
	}
	echo '</p>';
}

head("Userliste Seite ".$seite);

userlist_show_navi();
?>
<table>
	<tr>
		<th>ID</th>
		<th>Nickname</th>
		<th>Anmeldedatum</th>
		<th>Status</th>
	</tr>
<?php

$gfx_status = array();
$gfx_status[0] = '<img src="images/gelb.gif" width="15" height="15" border="0" alt="Nicht freigeschaltet" title="Nicht freigeschaltet">';
$gfx_status[1] = '<img src="images/gruen.gif" width="15" height="15" border="0" alt="Aktiv" title="Aktiv">';
$gfx_status[2] = '<img src="images/rot.gif" width="15" height="15" border="0" alt="Gesperrt" title="Gesperrt">';

$daten = db_query("SELECT k.uid, k.status, u.nickname, u.angemeldet_seit 
	FROM ".$db_prefix."_kontodaten AS k LEFT JOIN ".$db_prefix."_userdaten AS u 
	ON u.uid=k.uid ORDER BY k.uid ASC LIMIT ".$start.", ".$pro_seite." ");
	
while($row=mysql_fetch_assoc($daten)){
?>
	<tr>
		<td align="right"><?php echo $row['uid']; ?></td>
		<td><?php echo $row['nickname']; ?></td>
		<td align="right"><?php echo date('d.m.Y', $row['angemeldet_seit']); ?></td>
		<td align="center"><?php echo $gfx_status[$row['status']]; ?></td>
	</tr>
<?php
}
?>
</table>
<?php
userlist_show_navi();

foot();
?>